package rule.data.engine.basic.abstracts;

import rule.data.engine.basic.BasicEngine;
import rule.data.engine.basic.handler.DataEngineValueHandler;
import rule.domain.DataValue;

/**
 * @ClassName DataEngineRecordActuator
 * @Description 描述
 * @Author Chen
 * @Date 2024/9/3 10:18
 */
public abstract class DataEngineRecordActuator implements BasicEngine<DataValue> {
    @Override
    public void set(DataValue dataValue) {
        DataEngineValueHandler.set(dataValue);
    }

    @Override
    public DataValue get() {
        return DataEngineValueHandler.get();
    }

    @Override
    public void execution() {
        this.run();
        this.remove();
    }

    public abstract void run();
}
