package rule.data.engine.basic.abstracts;


import rule.data.engine.basic.BasicEngine;
import rule.data.engine.basic.handler.DataEngineValueHandler;
import rule.domain.DataValue;

/**
 * @ClassName DataEngineValueActuator
 * @Description 数据值处理对象
 * @Author Chen
 * @Date 2024/8/29 16:10
 */
public abstract class DataEngineValueActuator implements BasicEngine<DataValue> {
    @Override
    public void set(DataValue dataValue) {
        DataEngineValueHandler.set(dataValue);
    }

    @Override
     public DataValue get() {
        return DataEngineValueHandler.get();
    }

    @Override
    public void execution() {
        this.run();
        this.remove();
    }

    public abstract void run();
}
