package rule.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName Rule
 * @Description 规则表
 * @Author Chen
 * @Date 2024/8/20 11:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "rule")
@Tag(name = "规则")
public class Rule {
    /**
     * 规则ID
     */
    @Excel(name = "规则ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 规则名称
     */
    @Excel(name = "规则名称")
    private String name;
    /**
     * 规则类型
     */
    @Excel(name = "规则类型")
    private String ruleType;
    /**
     * 是否激活
     */
    @Excel(name = "是否激活")
    private String isActivate;
    /**
     * 规则描述
     */
    @Excel(name = "规则描述")
    private String ruleDesc;
    /**
     * 规则代码
     */
    @Excel(name = "规则描述")
    private String ruleCode;

    /**
     * 作用域
     */
    private String ruleScope;

}
