package rule.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldNameConstants;
import org.apache.poi.ss.usermodel.DataValidation;

/**
 * @ClassName RuleEdition
 * @Description 规则版本实体类
 * @Author Chen
 * @Date 2024/8/25 09:32
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(value = "rule_edition")
@Tag(name = "规则版本")
public class RuleEdition {


    /**
     * 版本主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 版本类
     */
    private String ruleKind;
    /**
     * 版本名称
     */
    @NotBlank(message = "版本名称不能为空")
    private String name;
    /**
     * 编码
     */
    @NotBlank(message = "编码不能为空")
    private String ruleCoding;
    /**
     * 是否激活
     */
    private String ruleActivate;
    /**
     * 状态
     */
    @NotBlank(message = "状态不能为空")
    private String status;
    /**
     * 内容
     */
    private String ruleContent;
    /**
     * 规则Id
     */
    private Long ruleId;
    /**
     * dia
     */
    private String ruleEngine;
    @TableField(exist = false)
    private DataValue dataValue;

}
