package rule.util;

import org.springframework.stereotype.Component;

import rule.domain.Rule;
import rule.domain.RuleEdition;

import java.text.SimpleDateFormat;
import java.util.Date;


@Component
public class GenerateConstant {

    public static final String PACKAGE_PATH = "package com.muyu.rule.generate;";

    public static String generateConstant(Rule rule, RuleEdition ruleEdition) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
        String format = simpleDateFormat.format(new Date());
        return
                PACKAGE_PATH + "\n" +
                        "import rule.data.engine.basic.abstracts.DataEngineValueActuator;\n" +
                        "/**\n" +
                        " * @date: " + format + "\n" +
                        " * @Description: " + ruleEdition.getName() + "_" + ruleEdition.getRuleKind() + "\n" +
                        " * @Version: 1.0\n" +
                        " */\n" +
                        "public class " + rule.getName() + ruleEdition.getRuleCoding() + " extends " + "DataEngineValueActuator" + " {\n" +
                        "    @Override\n" +
                        "    public void run () {\n" +
                        "    }\n" +
                        "}";
    }


}
