package com.muyu.rule.test;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.PutObjectRequest;
import com.muyu.common.core.domain.Result;

import java.io.ByteArrayInputStream;
import java.nio.charset.StandardCharsets;

/**
 * @ClassName UploadOss
 * @Description 描述
 * @Author Chen
 * @Date 2024/9/1 14:55
 */
public class UploadOss {
    // Endpoint以华东1（杭州）为例，其它Region请按实际情况填写
    private static final String endpoint = "oss-cn-shanghai.aliyuncs.com" ;
    // AccessKeyID
    private static final String accessKeyId = "LTAI5t6ytyyHWWB693bMEo53" ;
    // AccessKeySecret
    private static final String accessKeySecret = "CSubcq72LLVttBlo2XO1JEMEmw894z" ;
    // Bucket名称
    private static final String bucketName = "oss-tai" ;


    public static Result<Object> uploadFiles(String content, String fileName) {


        System.out.println(content);

        System.out.println(fileName);


        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

        // 上传到OSS后文件保存的目录，例如：folder/subfolder/，最后以斜杠结尾
        String objectName = "oss/"+fileName+".java";

        try {
            // 将内容转换为字节数组输入流
            ByteArrayInputStream inputStream = new ByteArrayInputStream(content.getBytes(StandardCharsets.UTF_8));

            // 构造上传请求
            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, objectName, inputStream);

            // 执行上传操作
            ossClient.putObject(putObjectRequest);





            return Result.success(null,"文件"+fileName+".java"+"存储成功");

        } catch (Exception e) {
            e.printStackTrace();

            return Result.error(null,"文件"+fileName+".java"+"存储失败");
        } finally {
            // 关闭OSSClient
            if (ossClient != null) {
                ossClient.shutdown();
            }
        }

    }

}
